org.apache.lucene.analysis.tokenattributes

## Class PayloadAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.analysis.tokenattributes.PayloadAttributeImpl

- All Implemented Interfaces:
    Cloneable, PayloadAttribute, Attribute

      public class PayloadAttributeImpl
      extends AttributeImpl
      implements PayloadAttribute, Cloneable

  Default implementation of `PayloadAttribute`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PayloadAttributeImpl()` Initialize this attribute with no payload.
    `PayloadAttributeImpl(BytesRef payload)` Initialize this attribute with the given payload.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clears the values in this AttributeImpl and resets it to its default value.
    `PayloadAttributeImpl` | `clone()` Shallow clone.
    `void` | `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
    `boolean` | `equals(Object other)`
    `BytesRef` | `getPayload()` Returns this Token's payload.
    `int` | `hashCode()`
    `void` | `setPayload(BytesRef payload)` Sets this Token's payload.

    - ### Methods inherited from class org.apache.lucene.util.AttributeImpl

      `reflectAsString, reflectWith`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PayloadAttributeImpl

          public PayloadAttributeImpl()

      Initialize this attribute with no payload.

    - #### PayloadAttributeImpl

          public PayloadAttributeImpl(BytesRef payload)

      Initialize this attribute with the given payload.

  - ### Method Detail

    - #### getPayload

          public BytesRef getPayload()

      Description copied from interface: `PayloadAttribute`
      Returns this Token's payload.
      Specified by:
        `getPayload` in interface `PayloadAttribute`
      See Also:
        `PayloadAttribute.setPayload(BytesRef)`

    - #### setPayload

          public void setPayload(BytesRef payload)

      Description copied from interface: `PayloadAttribute`
      Sets this Token's payload.
      Specified by:
        `setPayload` in interface `PayloadAttribute`
      See Also:
        `PayloadAttribute.getPayload()`

    - #### clear

          public void clear()

      Description copied from class: `AttributeImpl`
      Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.
      Specified by:
        `clear` in class `AttributeImpl`

    - #### clone

          public PayloadAttributeImpl clone()

      Description copied from class: `AttributeImpl`
      Shallow clone. Subclasses must override this if they need to clone any members deeply,
      Overrides:
        `clone` in class `AttributeImpl`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### copyTo

          public void copyTo(AttributeImpl target)

      Description copied from class: `AttributeImpl`
      Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.
      Specified by:
        `copyTo` in class `AttributeImpl`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.